%define _realname bannerblind
%define _chromedir %_libdir/mozilla/chrome

Name: mozilla-addon-bannerblind
Version: 1.0rc1
Release: alt1
Summary: Hide advertising banners in Mozilla
License: GPL
Url: http://bannerblind.mozdev.org/
Group: Networking/WWW
Packager: Victor Forsyuk <force@altlinux.ru>
Source0: http://downloads.mozdev.org/bannerblind/%{_realname}.xpi
Source1: installed-chrome-%_realname.txt
BuildArch: noarch
BuildRequires: unzip
Requires: mozilla >= 1.4-alt5

%description
Plugin that hides advertising banners. It allows you to define your
own unwanted banner dimensions.

%prep

%install
install -d $RPM_BUILD_ROOT%_chromedir
unzip %{SOURCE0} -d $RPM_BUILD_ROOT%_chromedir
rm -f $RPM_BUILD_ROOT%_chromedir/install*
install -m644 %_sourcedir/installed-chrome-%_realname.txt $RPM_BUILD_ROOT%_chromedir

%files
%_chromedir/*.jar
%_chromedir/installed-chrome-%_realname.txt

%post
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt

%postun
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt

%changelog
* Wed Jul 09 2003 Victor Forsyuk <force@altlinux.ru> 1.0rc1-alt1
- Initial build for Sisyphus.
